Subject: Re: bug#17087: cp -i/yes gets ignored

From: Paul Eggert <[email-masked]>
Date: Wed, 26 Mar 2014 08:29:58 -0700

Pádraig Brady wrote:
> In general we should allow these patches a little
> while for review before pushing.

Perhaps I was a bit enthusiastic here, but still, I don't know, when in 
doubt I prefer an Emacs-like approach (push early and often and fix as 
soon as you can) to a glibc-like approach (everything needs review and 
lots of problems just don't get fixed).  If coreutils had used the glibc 
approach, I wouldn't have bothered to improve cp's diagnostics here, as 
it would have been too much trouble.  Even now, the maintenance 
procedures of coreutils are enough of a pain, and the code is enough of 
a tangle, that nobody is following up on Karl's eminently reasonable 
suggestions to improve cp's behavior in this area.

> Hopefully the attached fixes up these issues.

Thanks, I pushed it for you.